Bug 1192720 - ksm package has executable bits sets for .service files.
Summary: ksm package has executable bits sets for .service files.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-14 17:01 UTC by zimon
Modified: 2015-05-01 17:49 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-01 17:49:45 UTC
Type: Bug


Attachments (Terms of Use)

Description zimon 2015-02-14 17:01:06 UTC
Description of problem:
system log has complains about execution bits set in .service files which came from ksm rpm package:

"
Feb 14 18:46:58 localhost systemd[1]: Configuration file /usr/lib/systemd/system/ksm.service is marked executable. Please remove executable permission bits. Proceeding anyway.
Feb 14 18:46:58 localhost systemd[1]: Configuration file /usr/lib/systemd/system/ksmtuned.service is marked executable. Please remove executable permission bits. Proceeding anyway.
"

Version-Release number of selected component (if applicable):
ksm-2.1.3-2.fc21.x86_64

After taken away, it shows:

$ rpm -V ksm
.M.......    /lib/systemd/system/ksm.service
.M.......    /lib/systemd/system/ksmtuned.service

$ rpm -qi ksm
...
Source RPM  : qemu-2.1.3-2.fc21.src.rpm
Summary     : Kernel Samepage Merging services
...
This package provides service files for disabling and tuning KSM.

Comment 1 Cole Robinson 2015-02-14 20:21:06 UTC
Setting to POST since this is just a packaging change

Comment 2 Fedora Update System 2015-03-27 20:50:46 UTC
qemu-2.1.3-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/qemu-2.1.3-4.fc21

Comment 3 Fedora Update System 2015-03-30 07:07:49 UTC
Package qemu-2.1.3-4.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qemu-2.1.3-4.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5025/qemu-2.1.3-4.fc21
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-04-02 21:48:45 UTC
qemu-2.1.3-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/qemu-2.1.3-5.fc21

Comment 5 Cole Robinson 2015-05-01 17:49:45 UTC
This update was already pushed to stable


Note You need to log in before you can comment on or make changes to this bug.